DavenDaven Documentation
APIAPI ReferenceATSApplication Steps

Update application step

PUT
/ats/application-steps/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Application step DTO - The data transfer object for application steps

recorded_at*string

Date of the application step

job_offer_reference*string

Main job offer reference

job_offer_reference_2?|

Second job offer reference

job_offer_reference_3?|

Third job offer reference

job_offer_title?|

Job offer title

candidate_creation_date?|

Date of candidate creation

candidate_mail?|

Candidate email

candidate_phone?|

Candidate phone number

candidate_ats_id*string

Candidate's internal ID in the ATS

source?|

Source of the application

step*string

Step of the application

step_ats_id?|

Step's internal ID in the ATS

application_ats_id*string

Application's internal ID in the ATS

subsidiary?|

Subsidiary name

subsidiary_ats_id?|

Subsidiary's internal ID in the ATS

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/ats/application-steps/0" \  -H "Content-Type: application/json" \  -d '{    "recorded_at": "2023-10-01T00:00:00Z",    "job_offer_reference": "REF123",    "candidate_ats_id": "CAND123",    "step": "Interview",    "application_ats_id": "APP123"  }'
{
  "message": "string",
  "data": [
    {
      "id": 0,
      "recorded_at": "string",
      "job_offer_reference": "string",
      "job_offer_reference_2": "string",
      "job_offer_reference_3": "string",
      "job_offer_title": "string",
      "candidate_creation_date": "string",
      "candidate_mail": "string",
      "candidate_phone": "string",
      "candidate_ats_id": "string",
      "source": "string",
      "step": "string",
      "step_ats_id": "string",
      "application_ats_id": "string",
      "subsidiary": "string",
      "subsidiary_ats_id": "string"
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}